<div class="card">
  <div class="card-header">
    <h1 class="card-title text-center">{{user.username}}</h1>
  </div>
  <div class="card-img text-center">
    <div class="container">
      <img class="image" [src]="user?.profilImg">
      <div class="overlay">
        <a href="javascript:;" class="icon" title="Upload" (click)="open(content)">
          <i class="ft-upload"></i>
        </a>
        <ng-template #content let-c="close" let-d="dismiss">
          <div class="modal-header">
            <h4 class="modal-title">Upload Image</h4>
            <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-md-12">
                <input type="text" class="form-control" placeholder="insert image URL" [(ngModel)]="urlImage">
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary btn-raised" id="upload" (click)="sendImgProfil()">Upload</button>
          </div>
        </ng-template>
      </div>
    </div>
    <div class="col-md-12" *ngIf="error">
        <ngb-alert type="danger" [dismissible]="false">
            <strong>Warning! </strong> {{error}}.
        </ngb-alert>
    </div>
  </div>
  <div class="card-content">
    <div class="card-body">
      <div class="row">
        <div class="col-md-6 text-center grey-rounded">
          <p><span id="title">Full Name : </span><span>{{user.firstname}} {{user.lastname}}</span></p>
        </div>
        <div class="col-md-6 text-center grey-rounded">
          <p><span id="title">Sponsor ID : </span>#{{user.sponsorid}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6 text-center">
          <p><span id="title">Birth Date : </span><span>{{user.birthdate}}</span></p>
        </div>
        <div class="col-md-6 text-center">
          <p><span id="title">News Liked : </span><span>{{likesnews}} <i class="ft-thumbs-up mr-2"></i></span></p>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6 text-center grey-rounded">
          <p><span id="title">Votes Sent : </span>0 vote(s)</p>
        </div>
        <div class="col-md-6 text-center grey-rounded">
          <p><span id="title">Role : </span><span [ngSwitch]="user.roleWeb">
            <span id="roleWeb-admin" *ngSwitchCase="3">Administrator</span>
            <span id="roleWeb-moderator" *ngSwitchCase="2">Moderator</span>
            <span *ngSwitchDefault>User</span>
          </span></p>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 text-center">
          <p><span id="title">Email : </span><span>{{user.email}} </span></p>
        </div>
      </div>
    </div>
  </div>